package common.biome;

import common.init.Blocks;
import common.rng.Random;
import common.rng.WeightedList;
import common.util.BlockPos;
import common.world.AWorldServer;
import common.worldgen.ChunkPrimer;

public class BiomeNone extends Biome {
	public BiomeNone(int id) {
		super(id);
		this.topBlock = Blocks.air.getState();
		this.fillerBlock = Blocks.air.getState();
	}

	protected void addMobs(WeightedList<RngSpawn> mobs) {
	}

	public void genTerrainBlocks(AWorldServer worldIn, Random rand, ChunkPrimer chunkPrimerIn, int x, int z, double noiseVal) {
	}

	public void decorate(AWorldServer worldIn, Random rand, BlockPos pos) {
	}

	public Temperature getTempCategory() {
		return Temperature.SEA;
	}
}
